#include <stdio.h>
#include <time.h>
#include <stdlib.h>
#include <string.h>
#include <libp.h>

int scanf(const char *format, ...)
{
	char buf[512];
	if (!gets(buf))
		return 0;
	return _scanf(buf,format,((char *)&format+sizeof(char *)));
}